<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- av-190 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>


<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">    <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="299" valign="top" background="images/submenu_bg.gif"><img src="images/header_1.jpg"/>
                <!-- SUBMENU -->
			   
			    <table width="242"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="37" height="32"></td>
                    <td width="205"></td>
                  </tr>
                   <xsl:call-template name="SUB-MENU">
          <xsl:with-param name="pageID" select="@ID"/>
          </xsl:call-template>
                  <tr>
                    <td height="32"></td>
                    <td class="submenu"></td>
                  </tr>
                </table>
				<!-- END SUBMENU -->       
				 </td>
        <td valign="top" width="100%" bgcolor="#FFFFFF">
		
		
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="17%" background="images/header_3.jpg"><img src="images/header_2.jpg"/></td>
              <td width="83%" background="images/header_3.jpg">
                <!-- LOGO -->
                <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td rowspan="2" align="right"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                    <td class="company" style="padding-left: 15px;" valign="bottom"><div align="left"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                  </tr>
                  <tr>
                    <td class="slogan" style="padding-left: 15px;" valign="top"><div align="left"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                  </tr>
                </table>
                <!-- END LOGO -->
              </td>
            </tr>
            <tr>
              <td height="47" colspan="2" background="images/menu_bg.gif">
                <!-- MENU -->
                <table  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                     <xsl:call-template name="TOP-MENU"/>
                  </tr>
                </table>
                <!-- END MENU -->
              </td>
            </tr>
            <tr valign="top">
              <td colspan="2">
                <!-- CONTENT -->
                <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="228" valign="top" style="padding-top: 30px;padding-left: 30px;">
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> <img src="images/text_header.gif" align="absmiddle"/></td>
                        </tr>
                      </table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top" style="padding-top: 10px;">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
                      </td>
                  </tr>
                </table>
                <!-- END CONTENT -->
              </td>
            </tr>
        </table>
		
		
		</td>
        <td valign="top" background="images/submenu_bg.gif">
		<table width="19" height="238"  border="0" align="right" cellpadding="0" cellspacing="0">
            <tr>
              <td width="19" height="238" background="images/header_5.jpg"></td>
            </tr>
        </table></td>
      </tr>
      <tr>
	  <!-- FOOTER -->
        <td height="46" background="images/bmeun_bg_1.gif"><div align="center"><span class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></div></td>
		  <!-- END FOOTER -->
		  
		<td background="images/bmeun_bg.gif">
		<!-- BOTTOM MENU -->
		
          <table  border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td class="iconfoot"><img src="images/bmenu_bullet.gif"/></td>
               <xsl:call-template name="BOTTOM-MENU"/>
              <td width="10"></td>
            </tr>
        </table>
		   <!-- END BOTTOM MENU -->		
		</td>
        <td background="images/bmeun_bg_1.gif"></td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
</html>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	        
                  <tr>
                    <td><div align="left"><img src="images/submenu_bullet.gif"/></div></td>
                    <td height="32" class="submenua"><div align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
                  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
             <tr>
                    <td height="32"><div align="left"><img src="images/submenu_bullet.gif"/></div></td>
                    <td class="submenu"><div align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
                  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
               <tr>
                    <td colspan="2"><img src="images/submenu_line.gif"/></td>
                  </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
             <td class="bmenua"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		 </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
             <td class="bmenu"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td class="iconfoot" style="padding-left:20px"><img src="images/bmenu_bullet.gif"/></td>
  		</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
