<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-231 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="2" border="0"  cellpadding="0" cellspacing="0" class="main-bg" style="width: 100%; height: 100%;"  bgcolor="#ffffff">
  <tr>
    <td align="center" valign="top"  width="100%" height="100%">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
      <tr>
        <td width="210" align="center" height="100" valign="middle" style="border-bottom:#cccccc 1px solid;border-right:#cccccc 1px solid">
		<table width="209"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center" style="padding-bottom:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
          </tr>
          <tr>
            <td align="center"><span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</span></td>
          </tr>
        </table></td>
        <td valign="bottom" height="100"><table width="100%"  border="0" cellpadding="0" cellspacing="0" height="100">
            <tr>
              <td height="50"><div align="center"><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</span></div></td>
            </tr>
            <tr>
              <td height="50" align="center" valign="top" background="images/menu_bg01.gif" style="border-left:#ffffff 1px solid">
			  <table border="0" cellspacing="0" cellpadding="0">
                <tr>
<xsl:call-template name="TOP-MENU"/>
                </tr>
              </table></td>
            </tr>
          </table></td>
        </tr>
      <tr>
        <td rowspan="2" align="right" valign="top" style="padding-top:1px;border-bottom:#cccccc 1px solid ">
          <table width="209"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </td>
            </tr>
          </table></td>
        <td valign="top" height="200"><table width="100%"  border="0" cellspacing="0" cellpadding="0" style="margin:1px ">
          <tr>
            <td background="images/header_bj.jpg"><img src="images/header.jpg" width="568" height="217" alt=""/></td>
          </tr>
        </table></td>
        </tr>
      <tr>
        <td valign="top" width="100%" height="100%" style="border-bottom:#cccccc 1px solid;border-top:#cccccc 1px solid;border-left:#cccccc 1px solid"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
          <tr>
            <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF" class="pageContent" style="padding: 25px;">
			<!-- CONTENT -->
                <table cellpadding="0" cellspacing="0" border="0" style="margin-bottom:10px ">
                  <tr>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td style="padding-left: 5px;"><img src="images/txtheader_bullet01.gif" alt="" width="17" height="17" border="0"/></td>
                  </tr>
                </table>

                <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td valign="top" class="pageContent"  name="SB_stretch"><div style="width:0px; height:15px;"><span></span></div>
<xsl:apply-templates select="PAGE-CONTENT"/></td>
                  </tr>
                </table>
                <!-- END CONTENT -->
            </td>
          </tr>
        </table></td>
        </tr>
      <tr>
        <td align="center" valign="middle" style="padding-top:1px "><span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</span></td>
        <td height="49"><table width="100%"  border="0" cellspacing="0" cellpadding="0" style="margin-top:1px;">
          <tr>
            <td height="49" align="center" valign="top" background="images/foot_bg01.gif">
			<table border="0" cellspacing="0" cellpadding="0">
              <tr>
<xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table>
    </td>
  </tr>
</table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<table width="209" border="0" cellspacing="0" cellpadding="0" style="margin-bottom:1px ">
<tr>
<td width="178" align="left" style="padding-left:20px;" class="color"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td width="1"></td>
<td align="right"><img src="images/left_bullet01.gif" width="30" height="30" alt=""/></td>
</tr>
</table>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                <table width="209" border="0" cellspacing="0" cellpadding="0" style="margin-bottom:1px ">
                  <tr>
                    <td width="178" align="left" style="padding-left:20px;" class="color"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    <td width="1"></td>
                    <td align="right"><img src="images/left_bullet01.gif" width="30" height="30" alt=""/></td>
                  </tr>
                </table>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td height="32" align="center" valign="bottom"  style="padding:0px 10px"><span><a href="{@HREF}" class="amenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></span></td>
		</xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td height="32" align="center" valign="bottom" style="padding:0px 10px"><span><a href="{@HREF}" class="menu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></span></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
                <td width="11" align="center" valign="top"><img src="images/foot_pic01.gif" width="7" height="29"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
